TLM-2.0: tlm_utils::peq_with_get< PAYLOAD > Class Template Reference

# tlm_utils::peq_with_get< PAYLOAD > Class Template Reference

`#include <peq_with_get.h>`

List of all members.

## Public Types
typedef PAYLOAD | transaction_type
typedef std::pair< const sc_core::sc_time, transaction_type * > | pair_type
## Public Member Functions
| peq_with_get (const char *name)
void | notify (transaction_type &trans, const sc_core::sc_time &t)
void | notify (transaction_type &trans)
transaction_type * | get_next_transaction ()
sc_core::sc_event & | get_event ()
void | cancel_all ()

## Detailed Description

### template<class PAYLOAD>
class tlm_utils::peq_with_get< PAYLOAD >

Definition at line 32 of file peq_with_get.h.

## Member Typedef Documentation

template<class PAYLOAD>

typedef std::pair<const sc_core::sc_time, transaction_type*> tlm_utils::peq_with_get< PAYLOAD >::pair_type

Definition at line 36 of file peq_with_get.h.

template<class PAYLOAD>

typedef PAYLOAD tlm_utils::peq_with_get< PAYLOAD >::transaction_type

Definition at line 35 of file peq_with_get.h.

## Constructor & Destructor Documentation

template<class PAYLOAD>

tlm_utils::peq_with_get< PAYLOAD >::peq_with_get | ( | const char * | name | ) | `[inline]`

Definition at line 39 of file peq_with_get.h.

## Member Function Documentation

template<class PAYLOAD>

void tlm_utils::peq_with_get< PAYLOAD >::cancel_all | ( |  | ) | `[inline]`

Definition at line 80 of file peq_with_get.h.

template<class PAYLOAD>

sc_core::sc_event& tlm_utils::peq_with_get< PAYLOAD >::get_event | ( |  | ) | `[inline]`

Definition at line 74 of file peq_with_get.h.

template<class PAYLOAD>

transaction_type* tlm_utils::peq_with_get< PAYLOAD >::get_next_transaction | ( |  | ) | `[inline]`

Definition at line 56 of file peq_with_get.h.

template<class PAYLOAD>

void tlm_utils::peq_with_get< PAYLOAD >::notify | ( | transaction_type & | trans | ) | `[inline]`

Definition at line 49 of file peq_with_get.h.

template<class PAYLOAD>

void tlm_utils::peq_with_get< PAYLOAD >::notify | ( | transaction_type & | trans,
|  | const sc_core::sc_time & | t |
| ) |  |  | `[inline]`

Definition at line 43 of file peq_with_get.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_utils/peq_with_get.h